Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
smallcart.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"
| $ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"
| $ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"
| $PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false
| $hotDealImageWidth = $ini->variable( "eZTradeMain", "HotDealImageWidth" )
| $hotDealImageHeight = $ini->variable( "eZTradeMain", "HotDealImageHeight" )
| $upscheck = $ini->variable( "eZTradeMain", "UPSXMLShipping" ) == "enabled" ? 1 : 0
| $uspscheck = $ini->variable( "eZTradeMain", "USPSXMLShipping" ) == "enabled" ? 1 : 0
else | $checkups =1
| $cart = new eZCart()
| $session = new eZSession()
if(! $session->fetch()) | $user =& eZUser::currentUser()
if(! $cart) | $t
| $items =& $cart->items( )
| $locale = new eZLocale( $Language )
| $currency = new eZCurrency()
| $i = 0
| $sum = 0.0
| $totalVAT = 0.0
| $can_checkout = true
if($checkups==1) | else

## Variable Documentation

## ◆ $can_checkout

$can_checkout = true

Definition at line 111 of file smallcart.php.

## ◆ $cart

$cart = new eZCart()

Definition at line 63 of file smallcart.php.

## ◆ $checkups

else $checkups =1

Definition at line 51 of file smallcart.php.

## ◆ $currency

$currency = new eZCurrency()

Definition at line 105 of file smallcart.php.

## ◆ $hotDealImageHeight

$hotDealImageHeight = $ini->variable( "eZTradeMain", "HotDealImageHeight" )

Definition at line 44 of file smallcart.php.

## ◆ $hotDealImageWidth

$hotDealImageWidth = $ini->variable( "eZTradeMain", "HotDealImageWidth" )

Definition at line 43 of file smallcart.php.

## ◆ $i

$i = 0

Definition at line 108 of file smallcart.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 34 of file smallcart.php.

## ◆ $items

$items =& $cart->items( )

Definition at line 102 of file smallcart.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 36 of file smallcart.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 104 of file smallcart.php.

## ◆ $PricesIncludeVAT

$PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false

Definition at line 42 of file smallcart.php.

## ◆ $RequireQuantity

$RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"

Definition at line 37 of file smallcart.php.

## ◆ $session

$session = new eZSession()

Definition at line 64 of file smallcart.php.

## ◆ $ShowNamedQuantity

$ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"

Definition at line 40 of file smallcart.php.

## ◆ $ShowOptionQuantity

$ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"

Definition at line 41 of file smallcart.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 39 of file smallcart.php.

## ◆ $ShowQuantity

$ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"

Definition at line 38 of file smallcart.php.

## ◆ $sum

$sum = 0.0

Definition at line 109 of file smallcart.php.

## ◆ $t

if (! $cart) $t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl/", $Language, "smallcart.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: smallcart.php:36
$ini
$ini
Definition: smallcart.php:34

Definition at line 85 of file smallcart.php.

## ◆ $totalVAT

$totalVAT = 0.0

Definition at line 110 of file smallcart.php.

## ◆ $upscheck

$upscheck = $ini->variable( "eZTradeMain", "UPSXMLShipping" ) == "enabled" ? 1 : 0

Definition at line 45 of file smallcart.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 72 of file smallcart.php.

## ◆ $uspscheck

$uspscheck = $ini->variable( "eZTradeMain", "USPSXMLShipping" ) == "enabled" ? 1 : 0

Definition at line 46 of file smallcart.php.

## ◆ else

if (count($items) > 0) else

Initial value:
{
$currency->setValue( $total["shipinctax"] )
$total
else $total["inctax"]
Definition: checkout.php:1359
$currency
$currency
Definition: smallcart.php:105

Definition at line 261 of file smallcart.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.